
/* Generated data (by glib-mkenums) */

/*
 * Copyright (C) 2010 Collabora Ltd.
 *   @author Marco Barisione <marco.barisione@collabora.co.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef RINGTONED_IS_COMPILING_APP
#error "Don't include this file directly, use ringtoned/plugin.h instead"
#endif


#ifndef __RINGTONED_ENUMS_H__
#define __RINGTONED_ENUMS_H__

#include <glib-object.h>


G_BEGIN_DECLS


#include "call.h"

#define RINGTONED_TYPE_CALL_STATUS (ringtoned_call_status_get_type ())

GType   ringtoned_call_status_get_type (void) G_GNUC_CONST;

G_CONST_RETURN GEnumValue *   ringtoned_call_status_from_name (const gchar *name) G_GNUC_PURE; 

G_CONST_RETURN GEnumValue *   ringtoned_call_status_from_nick (const gchar *nick) G_GNUC_PURE;

G_CONST_RETURN gchar *  ringtoned_call_status_get_name (RingtonedCallStatus value) G_GNUC_PURE;

G_CONST_RETURN gchar *  ringtoned_call_status_get_nick (RingtonedCallStatus value) G_GNUC_PURE;
G_END_DECLS

#endif /* __RINGTONED_ENUMS_H__ */

/* Generated data ends here */

